# ``twisted`.`conch`.`insults`.`insults`.`privateModes``

class documentation

`class privateModes: (source)`

View In Hierarchy

ANSI-Compatible Private Modes

Constant | `ANSI_VT52` | Undocumented
Constant | `AUTO_REPEAT` | Undocumented
Constant | `AUTO_WRAP` | Undocumented
Constant | `COLUMN` | Undocumented
Constant | `CURSOR_KEY` | Undocumented
Constant | `CURSOR_MODE` | Undocumented
Constant | `ERROR` | Undocumented
Constant | `ORIGIN` | Undocumented
Constant | `PRINTER_EXTENT` | Undocumented
Constant | `PRINTER_FORM_FEED` | Undocumented
Constant | `SCREEN` | Undocumented
Constant | `SCROLL` | Undocumented

ANSI_VT52: `int` = (source)

Undocumented

Value

    2

AUTO_REPEAT: `int` = (source)

Undocumented

Value

    8

AUTO_WRAP: `int` = (source)

Undocumented

Value

    7

COLUMN: `int` = (source)

Undocumented

Value

    3

CURSOR_KEY: `int` = (source)

Undocumented

Value

    1

CURSOR_MODE: `int` = (source)

Undocumented

Value

    25

ERROR: `int` = (source)

Undocumented

Value

    0

ORIGIN: `int` = (source)

Undocumented

Value

    6

PRINTER_EXTENT: `int` = (source)

Undocumented

Value

    19

PRINTER_FORM_FEED: `int` = (source)

Undocumented

Value

    18

SCREEN: `int` = (source)

Undocumented

Value

    5

SCROLL: `int` = (source)

Undocumented

Value

    4